Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot.impl
Class SnapshotPackageImpl

Show UML class diagram

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  com.hammurapi.eventbus.snapshot.impl.SnapshotPackageImpl

All Implemented Interfaces:
  SnapshotPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class SnapshotPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements SnapshotPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface com.hammurapi.eventbus.snapshot.SnapshotPackage
`SnapshotPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface com.hammurapi.eventbus.snapshot.SnapshotPackage
`COMPOSITE_EVENT, COMPOSITE_EVENT__DERIVATIONS, COMPOSITE_EVENT__DETAILS, COMPOSITE_EVENT__DIRECT_POST, COMPOSITE_EVENT__ID, COMPOSITE_EVENT__NAME, COMPOSITE_EVENT__PART_ROLE, COMPOSITE_EVENT__PARTS, COMPOSITE_EVENT__SNAPSHOT, COMPOSITE_EVENT_FEATURE_COUNT, DERIVATION, DERIVATION__HANDLER, DERIVATION__INPUTS, DERIVATION_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EVENT, EVENT__DERIVATIONS, EVENT__DETAILS, EVENT__DIRECT_POST, EVENT__ID, EVENT__NAME, EVENT__PART_ROLE, EVENT__SNAPSHOT, EVENT_FEATURE_COUNT, EXTRACTOR, EXTRACTOR__COST, EXTRACTOR__DETAILS, EXTRACTOR__ID, EXTRACTOR__NAME, EXTRACTOR__PARAMETER_INDICES, EXTRACTOR__PARTS, EXTRACTOR__ROLE, EXTRACTOR__SNAPSHOT, EXTRACTOR_FEATURE_COUNT, HANDLER, HANDLER__DETAILS, HANDLER__ID, HANDLER__JOIN_NODE, HANDLER__NAME, HANDLER__SNAPSHOT, HANDLER_FEATURE_COUNT, JOIN_ENTRY, JOIN_ENTRY__EVENTS, JOIN_ENTRY_FEATURE_COUNT, JOIN_INPUT, JOIN_INPUT__DETAILS, JOIN_INPUT__ID, JOIN_INPUT__INDEX, JOIN_INPUT__JOIN_NODE, JOIN_INPUT__NAME, JOIN_INPUT__SNAPSHOT, JOIN_INPUT_COLLECTOR, JOIN_INPUT_COLLECTOR__INDICES, JOIN_INPUT_COLLECTOR__JOIN_ENTRIES, JOIN_INPUT_COLLECTOR_FEATURE_COUNT, JOIN_INPUT_FEATURE_COUNT, JOIN_NODE, JOIN_NODE__COLLECTORS, JOIN_NODE__DETAILS, JOIN_NODE__HANDLER, JOIN_NODE__ID, JOIN_NODE__JOIN_INPUTS, JOIN_NODE__NAME, JOIN_NODE__NEXT, JOIN_NODE__OUTPUT_INDICES, JOIN_NODE__PREDICATE, JOIN_NODE__PREV, JOIN_NODE__SNAPSHOT, JOIN_NODE_FEATURE_COUNT, PREDICATE, PREDICATE__COST, PREDICATE__DETAILS, PREDICATE__ID, PREDICATE__NAME, PREDICATE__PARAMETER_INDICES, PREDICATE__PARTS, PREDICATE__ROLE, PREDICATE__SNAPSHOT, PREDICATE_FEATURE_COUNT, PREDICATE_NODE, PREDICATE_NODE__DETAILS, PREDICATE_NODE__FALSE_CHILDREN, PREDICATE_NODE__FALSE_OUTPUTS, PREDICATE_NODE__ID, PREDICATE_NODE__IS_ROOT, PREDICATE_NODE__NAME, PREDICATE_NODE__PREDICATE, PREDICATE_NODE__SNAPSHOT, PREDICATE_NODE__TRUE_CHILDREN, PREDICATE_NODE__TRUE_OUTPUTS, PREDICATE_NODE_FEATURE_COUNT, PREDICATE_NODE_OUTPUT, PREDICATE_NODE_OUTPUT__DETAILS, PREDICATE_NODE_OUTPUT__ID, PREDICATE_NODE_OUTPUT__NAME, PREDICATE_NODE_OUTPUT__SNAPSHOT, PREDICATE_NODE_OUTPUT_FEATURE_COUNT, SNAPSHOT, SNAPSHOT__ELEMENTS, SNAPSHOT__JVM_ID, SNAPSHOT__TIMESTAMP, SNAPSHOT_ELEMENT, SNAPSHOT_ELEMENT__DETAILS, SNAPSHOT_ELEMENT__ID, SNAPSHOT_ELEMENT__NAME, SNAPSHOT_ELEMENT__SNAPSHOT, SNAPSHOT_ELEMENT_FEATURE_COUNT, SNAPSHOT_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EReference` | `getCompositeEvent_Parts()`
`org.eclipse.emf.ecore.EClass` | `getCompositeEvent()`
`org.eclipse.emf.ecore.EReference` | `getDerivation_Handler()`
`org.eclipse.emf.ecore.EReference` | `getDerivation_Inputs()`
`org.eclipse.emf.ecore.EClass` | `getDerivation()`
`org.eclipse.emf.ecore.EReference` | `getEvent_Derivations()`
`org.eclipse.emf.ecore.EAttribute` | `getEvent_DirectPost()`
`org.eclipse.emf.ecore.EAttribute` | `getEvent_PartRole()`
`org.eclipse.emf.ecore.EClass` | `getEvent()`
`org.eclipse.emf.ecore.EAttribute` | `getExtractor_Cost()`
`org.eclipse.emf.ecore.EAttribute` | `getExtractor_ParameterIndices()`
`org.eclipse.emf.ecore.EReference` | `getExtractor_Parts()`
`org.eclipse.emf.ecore.EAttribute` | `getExtractor_Role()`
`org.eclipse.emf.ecore.EClass` | `getExtractor()`
`org.eclipse.emf.ecore.EReference` | `getHandler_JoinNode()`
`org.eclipse.emf.ecore.EClass` | `getHandler()`
`org.eclipse.emf.ecore.EReference` | `getJoinEntry_Events()`
`org.eclipse.emf.ecore.EClass` | `getJoinEntry()`
`org.eclipse.emf.ecore.EAttribute` | `getJoinInput_Index()`
`org.eclipse.emf.ecore.EReference` | `getJoinInput_JoinNode()`
`org.eclipse.emf.ecore.EClass` | `getJoinInput()`
`org.eclipse.emf.ecore.EAttribute` | `getJoinInputCollector_Indices()`
`org.eclipse.emf.ecore.EReference` | `getJoinInputCollector_JoinEntries()`
`org.eclipse.emf.ecore.EClass` | `getJoinInputCollector()`
`org.eclipse.emf.ecore.EReference` | `getJoinNode_Collectors()`
`org.eclipse.emf.ecore.EReference` | `getJoinNode_Handler()`
`org.eclipse.emf.ecore.EReference` | `getJoinNode_JoinInputs()`
`org.eclipse.emf.ecore.EReference` | `getJoinNode_Next()`
`org.eclipse.emf.ecore.EAttribute` | `getJoinNode_OutputIndices()`
`org.eclipse.emf.ecore.EReference` | `getJoinNode_Predicate()`
`org.eclipse.emf.ecore.EReference` | `getJoinNode_Prev()`
`org.eclipse.emf.ecore.EClass` | `getJoinNode()`
`org.eclipse.emf.ecore.EClass` | `getPredicate()`
`org.eclipse.emf.ecore.EReference` | `getPredicateNode_FalseChildren()`
`org.eclipse.emf.ecore.EReference` | `getPredicateNode_FalseOutputs()`
`org.eclipse.emf.ecore.EAttribute` | `getPredicateNode_IsRoot()`
`org.eclipse.emf.ecore.EReference` | `getPredicateNode_Predicate()`
`org.eclipse.emf.ecore.EReference` | `getPredicateNode_TrueChildren()`
`org.eclipse.emf.ecore.EReference` | `getPredicateNode_TrueOutputs()`
`org.eclipse.emf.ecore.EClass` | `getPredicateNode()`
`org.eclipse.emf.ecore.EClass` | `getPredicateNodeOutput()`
`org.eclipse.emf.ecore.EReference` | `getSnapshot_Elements()`
`org.eclipse.emf.ecore.EAttribute` | `getSnapshot_JvmId()`
`org.eclipse.emf.ecore.EAttribute` | `getSnapshot_Timestamp()`
`org.eclipse.emf.ecore.EClass` | `getSnapshot()`
`org.eclipse.emf.ecore.EAttribute` | `getSnapshotElement_Details()`
`org.eclipse.emf.ecore.EAttribute` | `getSnapshotElement_Id()`
`org.eclipse.emf.ecore.EAttribute` | `getSnapshotElement_Name()`
`org.eclipse.emf.ecore.EReference` | `getSnapshotElement_Snapshot()`
`org.eclipse.emf.ecore.EClass` | `getSnapshotElement()`
`SnapshotFactory` | `getSnapshotFactory()`
`static SnapshotPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static SnapshotPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `SnapshotPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `SnapshotPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getSnapshot

    public org.eclipse.emf.ecore.EClass getSnapshot()

  Specified by:
    `getSnapshot` in interface `SnapshotPackage`
  Returns:
    the meta object for class 'Snapshot'.
  See Also:
    `Snapshot`

### getSnapshot_Timestamp

    public org.eclipse.emf.ecore.EAttribute getSnapshot_Timestamp()

  Specified by:
    `getSnapshot_Timestamp` in interface `SnapshotPackage`
  Returns:
    the meta object for the attribute 'Timestamp'.
  See Also:
    `Snapshot.getTimestamp()`, `SnapshotPackage.getSnapshot()`

### getSnapshot_Elements

    public org.eclipse.emf.ecore.EReference getSnapshot_Elements()

  Specified by:
    `getSnapshot_Elements` in interface `SnapshotPackage`
  Returns:
    the meta object for the containment reference list 'Elements'.
  See Also:
    `Snapshot.getElements()`, `SnapshotPackage.getSnapshot()`

### getSnapshot_JvmId

    public org.eclipse.emf.ecore.EAttribute getSnapshot_JvmId()

  Specified by:
    `getSnapshot_JvmId` in interface `SnapshotPackage`
  Returns:
    the meta object for the attribute 'Jvm Id'.
  See Also:
    `Snapshot.getJvmId()`, `SnapshotPackage.getSnapshot()`

### getSnapshotElement

    public org.eclipse.emf.ecore.EClass getSnapshotElement()

  Specified by:
    `getSnapshotElement` in interface `SnapshotPackage`
  Returns:
    the meta object for class 'Element'.
  See Also:
    `SnapshotElement`

### getSnapshotElement_Id

    public org.eclipse.emf.ecore.EAttribute getSnapshotElement_Id()

  Specified by:
    `getSnapshotElement_Id` in interface `SnapshotPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `SnapshotElement.getId()`, `SnapshotPackage.getSnapshotElement()`

### getSnapshotElement_Name

    public org.eclipse.emf.ecore.EAttribute getSnapshotElement_Name()

  Specified by:
    `getSnapshotElement_Name` in interface `SnapshotPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `SnapshotElement.getName()`, `SnapshotPackage.getSnapshotElement()`

### getSnapshotElement_Details

    public org.eclipse.emf.ecore.EAttribute getSnapshotElement_Details()

  Specified by:
    `getSnapshotElement_Details` in interface `SnapshotPackage`
  Returns:
    the meta object for the attribute 'Details'.
  See Also:
    `SnapshotElement.getDetails()`, `SnapshotPackage.getSnapshotElement()`

### getSnapshotElement_Snapshot

    public org.eclipse.emf.ecore.EReference getSnapshotElement_Snapshot()

  Specified by:
    `getSnapshotElement_Snapshot` in interface `SnapshotPackage`
  Returns:
    the meta object for the container reference 'Snapshot'.
  See Also:
    `SnapshotElement.getSnapshot()`, `SnapshotPackage.getSnapshotElement()`

### getHandler

    public org.eclipse.emf.ecore.EClass getHandler()

  Specified by:
    `getHandler` in interface `SnapshotPackage`
  Returns:
    the meta object for class 'Handler'.
  See Also:
    `Handler`

### getHandler_JoinNode

    public org.eclipse.emf.ecore.EReference getHandler_JoinNode()

  Specified by:
    `getHandler_JoinNode` in interface `SnapshotPackage`
  Returns:
    the meta object for the reference 'Join Node'.
  See Also:
    `Handler.getJoinNode()`, `SnapshotPackage.getHandler()`

### getDerivation

    public org.eclipse.emf.ecore.EClass getDerivation()

  Specified by:
    `getDerivation` in interface `SnapshotPackage`
  Returns:
    the meta object for class 'Derivation'.
  See Also:
    `Derivation`

### getDerivation_Handler

    public org.eclipse.emf.ecore.EReference getDerivation_Handler()

  Specified by:
    `getDerivation_Handler` in interface `SnapshotPackage`
  Returns:
    the meta object for the reference 'Handler'.
  See Also:
    `Derivation.getHandler()`, `SnapshotPackage.getDerivation()`

### getDerivation_Inputs

    public org.eclipse.emf.ecore.EReference getDerivation_Inputs()

  Specified by:
    `getDerivation_Inputs` in interface `SnapshotPackage`
  Returns:
    the meta object for the reference list 'Inputs'.
  See Also:
    `Derivation.getInputs()`, `SnapshotPackage.getDerivation()`

### getEvent

    public org.eclipse.emf.ecore.EClass getEvent()

  Specified by:
    `getEvent` in interface `SnapshotPackage`
  Returns:
    the meta object for class 'Event'.
  See Also:
    `Event`

### getEvent_Derivations

    public org.eclipse.emf.ecore.EReference getEvent_Derivations()

  Specified by:
    `getEvent_Derivations` in interface `SnapshotPackage`
  Returns:
    the meta object for the containment reference list 'Derivations'.
  See Also:
    `Event.getDerivations()`, `SnapshotPackage.getEvent()`

### getEvent_PartRole

    public org.eclipse.emf.ecore.EAttribute getEvent_PartRole()

  Specified by:
    `getEvent_PartRole` in interface `SnapshotPackage`
  Returns:
    the meta object for the attribute 'Part Role'.
  See Also:
    `Event.getPartRole()`, `SnapshotPackage.getEvent()`

### getEvent_DirectPost

    public org.eclipse.emf.ecore.EAttribute getEvent_DirectPost()

  Specified by:
    `getEvent_DirectPost` in interface `SnapshotPackage`
  Returns:
    the meta object for the attribute 'Direct Post'.
  See Also:
    `Event.isDirectPost()`, `SnapshotPackage.getEvent()`

### getPredicateNode

    public org.eclipse.emf.ecore.EClass getPredicateNode()

  Specified by:
    `getPredicateNode` in interface `SnapshotPackage`
  Returns:
    the meta object for class 'Predicate Node'.
  See Also:
    `PredicateNode`

### getPredicateNode_TrueOutputs

    public org.eclipse.emf.ecore.EReference getPredicateNode_TrueOutputs()

  Specified by:
    `getPredicateNode_TrueOutputs` in interface `SnapshotPackage`
  Returns:
    the meta object for the reference list 'True Outputs'.
  See Also:
    `PredicateNode.getTrueOutputs()`, `SnapshotPackage.getPredicateNode()`

### getPredicateNode_FalseOutputs

    public org.eclipse.emf.ecore.EReference getPredicateNode_FalseOutputs()

  Specified by:
    `getPredicateNode_FalseOutputs` in interface `SnapshotPackage`
  Returns:
    the meta object for the reference list 'False Outputs'.
  See Also:
    `PredicateNode.getFalseOutputs()`, `SnapshotPackage.getPredicateNode()`

### getPredicateNode_TrueChildren

    public org.eclipse.emf.ecore.EReference getPredicateNode_TrueChildren()

  Specified by:
    `getPredicateNode_TrueChildren` in interface `SnapshotPackage`
  Returns:
    the meta object for the reference list 'True Children'.
  See Also:
    `PredicateNode.getTrueChildren()`, `SnapshotPackage.getPredicateNode()`

### getPredicateNode_FalseChildren

    public org.eclipse.emf.ecore.EReference getPredicateNode_FalseChildren()

  Specified by:
    `getPredicateNode_FalseChildren` in interface `SnapshotPackage`
  Returns:
    the meta object for the reference list 'False Children'.
  See Also:
    `PredicateNode.getFalseChildren()`, `SnapshotPackage.getPredicateNode()`

### getPredicateNode_IsRoot

    public org.eclipse.emf.ecore.EAttribute getPredicateNode_IsRoot()

  Specified by:
    `getPredicateNode_IsRoot` in interface `SnapshotPackage`
  Returns:
    the meta object for the attribute 'Is Root'.
  See Also:
    `PredicateNode.isIsRoot()`, `SnapshotPackage.getPredicateNode()`

### getPredicateNode_Predicate

    public org.eclipse.emf.ecore.EReference getPredicateNode_Predicate()

  Specified by:
    `getPredicateNode_Predicate` in interface `SnapshotPackage`
  Returns:
    the meta object for the containment reference 'Predicate'.
  See Also:
    `PredicateNode.getPredicate()`, `SnapshotPackage.getPredicateNode()`

### getPredicateNodeOutput

    public org.eclipse.emf.ecore.EClass getPredicateNodeOutput()

  Specified by:
    `getPredicateNodeOutput` in interface `SnapshotPackage`
  Returns:
    the meta object for class 'Predicate Node Output'.
  See Also:
    `PredicateNodeOutput`

### getJoinInput

    public org.eclipse.emf.ecore.EClass getJoinInput()

  Specified by:
    `getJoinInput` in interface `SnapshotPackage`
  Returns:
    the meta object for class 'Join Input'.
  See Also:
    `JoinInput`

### getJoinInput_Index

    public org.eclipse.emf.ecore.EAttribute getJoinInput_Index()

  Specified by:
    `getJoinInput_Index` in interface `SnapshotPackage`
  Returns:
    the meta object for the attribute 'Index'.
  See Also:
    `JoinInput.getIndex()`, `SnapshotPackage.getJoinInput()`

### getJoinInput_JoinNode

    public org.eclipse.emf.ecore.EReference getJoinInput_JoinNode()

  Specified by:
    `getJoinInput_JoinNode` in interface `SnapshotPackage`
  Returns:
    the meta object for the reference 'Join Node'.
  See Also:
    `JoinInput.getJoinNode()`, `SnapshotPackage.getJoinInput()`

### getJoinNode

    public org.eclipse.emf.ecore.EClass getJoinNode()

  Specified by:
    `getJoinNode` in interface `SnapshotPackage`
  Returns:
    the meta object for class 'Join Node'.
  See Also:
    `JoinNode`

### getJoinNode_Collectors

    public org.eclipse.emf.ecore.EReference getJoinNode_Collectors()

  Specified by:
    `getJoinNode_Collectors` in interface `SnapshotPackage`
  Returns:
    the meta object for the containment reference list 'Collectors'.
  See Also:
    `JoinNode.getCollectors()`, `SnapshotPackage.getJoinNode()`

### getJoinNode_OutputIndices

    public org.eclipse.emf.ecore.EAttribute getJoinNode_OutputIndices()

  Specified by:
    `getJoinNode_OutputIndices` in interface `SnapshotPackage`
  Returns:
    the meta object for the attribute list 'Output Indices'.
  See Also:
    `JoinNode.getOutputIndices()`, `SnapshotPackage.getJoinNode()`

### getJoinNode_Handler

    public org.eclipse.emf.ecore.EReference getJoinNode_Handler()

  Specified by:
    `getJoinNode_Handler` in interface `SnapshotPackage`
  Returns:
    the meta object for the reference 'Handler'.
  See Also:
    `JoinNode.getHandler()`, `SnapshotPackage.getJoinNode()`

### getJoinNode_Next

    public org.eclipse.emf.ecore.EReference getJoinNode_Next()

  Specified by:
    `getJoinNode_Next` in interface `SnapshotPackage`
  Returns:
    the meta object for the reference 'Next'.
  See Also:
    `JoinNode.getNext()`, `SnapshotPackage.getJoinNode()`

### getJoinNode_Predicate

    public org.eclipse.emf.ecore.EReference getJoinNode_Predicate()

  Specified by:
    `getJoinNode_Predicate` in interface `SnapshotPackage`
  Returns:
    the meta object for the containment reference 'Predicate'.
  See Also:
    `JoinNode.getPredicate()`, `SnapshotPackage.getJoinNode()`

### getJoinNode_Prev

    public org.eclipse.emf.ecore.EReference getJoinNode_Prev()

  Specified by:
    `getJoinNode_Prev` in interface `SnapshotPackage`
  Returns:
    the meta object for the reference list 'Prev'.
  See Also:
    `JoinNode.getPrev()`, `SnapshotPackage.getJoinNode()`

### getJoinNode_JoinInputs

    public org.eclipse.emf.ecore.EReference getJoinNode_JoinInputs()

  Specified by:
    `getJoinNode_JoinInputs` in interface `SnapshotPackage`
  Returns:
    the meta object for the reference list 'Join Inputs'.
  See Also:
    `JoinNode.getJoinInputs()`, `SnapshotPackage.getJoinNode()`

### getJoinInputCollector

    public org.eclipse.emf.ecore.EClass getJoinInputCollector()

  Specified by:
    `getJoinInputCollector` in interface `SnapshotPackage`
  Returns:
    the meta object for class 'Join Input Collector'.
  See Also:
    `JoinInputCollector`

### getJoinInputCollector_Indices

    public org.eclipse.emf.ecore.EAttribute getJoinInputCollector_Indices()

  Specified by:
    `getJoinInputCollector_Indices` in interface `SnapshotPackage`
  Returns:
    the meta object for the attribute list 'Indices'.
  See Also:
    `JoinInputCollector.getIndices()`, `SnapshotPackage.getJoinInputCollector()`

### getJoinInputCollector_JoinEntries

    public org.eclipse.emf.ecore.EReference getJoinInputCollector_JoinEntries()

  Specified by:
    `getJoinInputCollector_JoinEntries` in interface `SnapshotPackage`
  Returns:
    the meta object for the containment reference list 'Join Entries'.
  See Also:
    `JoinInputCollector.getJoinEntries()`, `SnapshotPackage.getJoinInputCollector()`

### getJoinEntry

    public org.eclipse.emf.ecore.EClass getJoinEntry()

  Specified by:
    `getJoinEntry` in interface `SnapshotPackage`
  Returns:
    the meta object for class 'Join Entry'.
  See Also:
    `JoinEntry`

### getJoinEntry_Events

    public org.eclipse.emf.ecore.EReference getJoinEntry_Events()

  Specified by:
    `getJoinEntry_Events` in interface `SnapshotPackage`
  Returns:
    the meta object for the reference list 'Events'.
  See Also:
    `JoinEntry.getEvents()`, `SnapshotPackage.getJoinEntry()`

### getExtractor

    public org.eclipse.emf.ecore.EClass getExtractor()

  Specified by:
    `getExtractor` in interface `SnapshotPackage`
  Returns:
    the meta object for class 'Extractor'.
  See Also:
    `Extractor`

### getExtractor_Role

    public org.eclipse.emf.ecore.EAttribute getExtractor_Role()

  Specified by:
    `getExtractor_Role` in interface `SnapshotPackage`
  Returns:
    the meta object for the attribute 'Role'.
  See Also:
    `Extractor.getRole()`, `SnapshotPackage.getExtractor()`

### getExtractor_Parts

    public org.eclipse.emf.ecore.EReference getExtractor_Parts()

  Specified by:
    `getExtractor_Parts` in interface `SnapshotPackage`
  Returns:
    the meta object for the containment reference list 'Parts'.
  See Also:
    `Extractor.getParts()`, `SnapshotPackage.getExtractor()`

### getExtractor_ParameterIndices

    public org.eclipse.emf.ecore.EAttribute getExtractor_ParameterIndices()

  Specified by:
    `getExtractor_ParameterIndices` in interface `SnapshotPackage`
  Returns:
    the meta object for the attribute list 'Parameter Indices'.
  See Also:
    `Extractor.getParameterIndices()`, `SnapshotPackage.getExtractor()`

### getExtractor_Cost

    public org.eclipse.emf.ecore.EAttribute getExtractor_Cost()

  Specified by:
    `getExtractor_Cost` in interface `SnapshotPackage`
  Returns:
    the meta object for the attribute 'Cost'.
  See Also:
    `Extractor.getCost()`, `SnapshotPackage.getExtractor()`

### getPredicate

    public org.eclipse.emf.ecore.EClass getPredicate()

  Specified by:
    `getPredicate` in interface `SnapshotPackage`
  Returns:
    the meta object for class 'Predicate'.
  See Also:
    `Predicate`

### getCompositeEvent

    public org.eclipse.emf.ecore.EClass getCompositeEvent()

  Specified by:
    `getCompositeEvent` in interface `SnapshotPackage`
  Returns:
    the meta object for class 'Composite Event'.
  See Also:
    `CompositeEvent`

### getCompositeEvent_Parts

    public org.eclipse.emf.ecore.EReference getCompositeEvent_Parts()

  Specified by:
    `getCompositeEvent_Parts` in interface `SnapshotPackage`
  Returns:
    the meta object for the containment reference list 'Parts'.
  See Also:
    `CompositeEvent.getParts()`, `SnapshotPackage.getCompositeEvent()`

### getSnapshotFactory

    public SnapshotFactory getSnapshotFactory()

  Specified by:
    `getSnapshotFactory` in interface `SnapshotPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD